# 📄 Hyoml Overview

Hyoml is a smart, relaxed parser that handles JSON/YAML-like structures while offering:

- Relaxed syntax parsing (omit quotes, commas, flexible spacing)
- Strict mode enforcement for validation needs
- Intelligent error handling and validation
- Flexible output formatting (JSON, YAML, XML, CSV, RDF, etc.)
- Cloud data loading support
- Easy to extend with middleware visitors

---

# ✨ Key Features

- **Relaxed Parsing**: Hyoml can handle missing commas, flexible quotes, and nested blocks cleanly.
- **Strict Mode**: Switch on strict parsing when validation against schema or rigid structure is needed.
- **Tag and Directive Handling**: Recognize special Hyoml tags and directives.
- **Formatters**: Export to multiple industry-standard formats with clean APIs.
- **Smart Loaders**: Fetch data from local disk, S3, Azure Blob, GCS, or HTTP sources.

---

# 📚 Learn More

- See [examples/README.md](../examples/README.md) for usage examples.
- See [GETTING_STARTED.md](../examples/GETTING_STARTED.md) to get up and running quickly.

Happy Parsing! 🎯
