# ⚙️ Setup and Contribution Guide

## 🛠 Local Setup

Clone the repository:

```bash
git clone <repo-url>
cd hyoml/python
```

Install in editable mode:

```bash
pip install -e .
```

Install pytest for testing:

```bash
pip install pytest
```

Run all tests:

```bash
pytest tests/
```

---

## 📚 Code Style

- Follow PEP8 guidelines (using black or flake8 is recommended).
- Keep functions clean and well-documented.
- Write docstrings for all public methods.

---

## 🚀 Contributing

- Fork the repository
- Create a new feature branch
- Commit your changes with clear commit messages
- Add tests for any new feature
- Submit a pull request

Thank you for making Hyoml better! 🎯
